Macro Draw 2D Function/it: Difference between revisions

From FreeCAD Documentation
mNo edit summary
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
<div class="mw-translate-fuzzy">
{{Macro/it
{{Macro/it
|Name=Draw 2D Function
|Name=Draw 2D Function
Line 9: Line 10:
|Date=2011-08-01
|Date=2011-08-01
}}
}}
</div>


==Description==
==Description==
Line 49: Line 51:
ZZ=XX*XX/(4*F)
ZZ=XX*XX/(4*F)
if I==0:
if I==0:
print "Le test est vrai !"
print( "Le test est vrai !")
nomme=Part.makeLine((X,Y,Z),(XX,Y,ZZ))
nomme=Part.makeLine((X,Y,Z),(XX,Y,ZZ))
WWire=Part.Wire([nomme])
WWire=Part.Wire([nomme])
else :
else :
print "Le test est 2 !"
print( "Le test est 2 !")
nomme=Part.makeLine((X,Y,Z),(XX,Y,ZZ))
nomme=Part.makeLine((X,Y,Z),(XX,Y,ZZ))
WWire=Part.Wire([WWire,nomme])
WWire=Part.Wire([WWire,nomme])

Revision as of 19:47, 15 June 2019

Icona macro generica. Crea la tua icona personale con lo stesso nome della macro Funzione 2D

Descrizione
Si usa per disegnare una funzione descritta da una equazione z=F(x) (piano Z-X)

Versione macro: 1.0
Ultima modifica: 2011-08-01
Autore: ignoto
Autore
ignoto
Download
None
Link
Versione macro
1.0
Data ultima modifica
2011-08-01
Versioni di FreeCAD
None
Scorciatoia
Nessuna
Vedere anche
Nessuno

Description

Si usa per disegnare una funzione descritta da una equazione [z=F(x)] (piano ZX). Questo esempio genera una parabola.

Elementi da definire:

F=variable utilizzata nella funzione,
X=Valore iniziale di x,
Nb= Numero di passi,
Z=Funzione espressa con x
ZZ=Funzione espressa con xx

Script

Macro_Draw_2D_Function.FCMacro

# F = variable used in the function,
# X = initial value of x,
# Nb = Number of step,
# Z = function express with x
# ZZ = function express with xx

import FreeCAD, FreeCADGui, Part
import math
F=800
X=-500
Nb=10
Step=1000/Nb
Y=0
for I in range(Nb):
	XX=X+Step 
 	Z=X*X/(4*F)
 	ZZ=XX*XX/(4*F)
 	if I==0:
 		print( "Le test est vrai !")
 		nomme=Part.makeLine((X,Y,Z),(XX,Y,ZZ))
 		WWire=Part.Wire([nomme])
 	else :
 		print( "Le test est 2 !")
 		nomme=Part.makeLine((X,Y,Z),(XX,Y,ZZ))		
 		WWire=Part.Wire([WWire,nomme])
 	X=XX 
 
Part.show(WWire)